
*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:'Poppins', sans-serif;
}

a{
    text-decoration: none;
    color: black;
}

body{
    background:#0f0f0f;
    color:#fff;
}

/* Top Bar */
.top-bar{
    background:linear-gradient(90deg,#c6a75e,#f5d27a,#c6a75e);
    padding:12px 20px;
    display:flex;
    justify-content:space-between;
    align-items:center;
    font-weight:600;
    color:#000;
    font-size:18px;
}

.add-btn{
    padding:10px 16px;
    background:linear-gradient(90deg,#c6a75e,#f5d27a);
    border:none;
    border-radius:6px;
    cursor:pointer;
    font-weight:600;
    border: 1px solid black;
}

/* Header */
.header{
    padding:15px 20px;
    background:#1a1a1a;
}

.search-section{
    display:flex;
    gap:10px;
    flex-wrap:wrap;
}

.search-section select,
.search-section input{
    padding:10px;
    border:none;
    border-radius:8px;
    outline:none;
}

.search-section select{
    background:#2a2a2a;
    color:#fff;
    border:1px solid rgba(255,215,0,0.4);
}

.search-section input{
    flex:1;
    min-width:120px;
}

/* Section */
.section{
    padding:20px;
}

.section-title{
    font-size:20px;
    margin-bottom:15px;
    color:#f5d27a;
}

.business-card{
    background:#1c1c1c;
    padding:15px;
    border-radius:10px;
    display:flex;
    justify-content:space-between;
    align-items:center;
    margin-bottom:12px;
}

.business-left{
    display:flex;
    gap:15px;
}

.business-icon{
    font-size:26px;
}

.business-info p{
    font-size:13px;
    color:#ccc;
}

.business-description{
    font-size:13px;
    color:#ccc;
}

.contact-btn{
    padding:8px 14px;
    background:gold;
    border:none;
    border-radius:8px;
    font-weight:600;
    cursor:pointer;
}

/* Popup */
.popup{
    position:fixed;
    top:0;
    left:0;
    width:100%;
    height:100%;
    background:rgba(0,0,0,0.4);
    backdrop-filter:blur(10px);
    display:flex;
    justify-content:center;
    align-items:center;
    opacity:0;
    visibility:hidden;
    transition:0.3s ease;
}

.popup.active{
    opacity:1;
    visibility:visible;
}

.popup-content{
    background:rgba(255,255,255,0.08);
    backdrop-filter:blur(20px);
    border:1px solid rgba(255,215,0,0.4);
    padding:25px;
    border-radius:16px;
    width:100%;
    max-width:420px;
    transform:scale(0.85);
    opacity:0;
    transition:0.3s ease;
}

.popup.active .popup-content{
    transform:scale(1);
    opacity:1;
}

.popup-content h3{
    margin-bottom:15px;
    color:#f5d27a;
}

.popup-content input,
.popup-content textarea,
.popup-content select{
    width:100%;
    padding:10px;
    margin-bottom:12px;
    border-radius:8px;
    border:1px solid rgba(255,215,0,0.3);
    background:rgba(255,255,255,0.1);
    color:#fff;
}

.popup-content select{
    appearance:none;
    background:#2a2a2a;
}

.popup-content input:focus,
.popup-content textarea:focus,
.popup-content select:focus{
    border:1px solid gold;
    outline:none;
}

.description-limit{
    font-size: small;
    width: 100%;
    text-align: right;
}

.image-upload{
    position:relative;
    border:2px dashed rgba(255,215,0,0.6);
    border-radius:12px;
    padding:10px;
    text-align:center;
    cursor:pointer;
    margin-bottom:15px;
    margin-top:15px;
    transition:0.3s;
    display: none;
}

.image-upload:hover{
    background:rgba(255,215,0,0.05);
}

.image-upload input{
    position:absolute;
    width:100%;
    height:100%;
    opacity:0;
    top:0;
    left:0;
    cursor:pointer;
}

.image-upload span{
    color:#f5d27a;
    font-weight:600;
}

.popup-content button{
    width:100%;
    padding:12px;
    background:linear-gradient(90deg,#c6a75e,#f5d27a);
    border:none;
    border-radius:10px;
    font-weight:600;
    cursor:pointer;
}

.close-popup{
    text-align:right;
    cursor:pointer;
    margin-bottom:10px;
    font-size:14px;
    color:#ddd;
}
